Bug 1089844 - [GSS] (6.3.0) Policy Fail may drop messages before it sends the exception to the client
Summary: [GSS] (6.3.0) Policy Fail may drop messages before it sends the exception to ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR2
: EAP 6.3.0
Assignee: Clebert Suconic
QA Contact: Miroslav Novak
Nidhi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1064596 1084639 1088604
TreeView+ depends on / blocked
 
Reported: 2014-04-22 04:45 UTC by Jimmy Wilson
Modified: 2014-08-06 14:40 UTC (History)
4 users (show)

(edit)
In previous versions of JBoss EAP it was found that the "fail" address-full-policy in HornetQ mostly dropped messages without sending an exception to the client. 

This resulted in messages being dropped without an exception whenever an address was full.

This issue was resolved so that blocking sends always result in an exception on the client when the address is full and non-blocking sends will result in an exception on the client when additional credits are requested from the server.
Clone Of: 1088604
(edit)
Last Closed: 2014-08-06 14:40:10 UTC


Attachments (Terms of Use)

Description Jimmy Wilson 2014-04-22 04:45:10 UTC
+++ This bug was initially created as a clone of Bug #1088604 +++

Comment 2 Kabir Khan 2014-07-01 14:27:52 UTC
Should be fixed by upgrade https://bugzilla.redhat.com/show_bug.cgi?id=1064596 for DR2

Comment 3 Martin Svehla 2014-07-02 08:38:15 UTC
Verified in EAP 6.3.0.ER7 / HornetQ 2.3.19.Final


Note You need to log in before you can comment on or make changes to this bug.